@echo off
rem ***************************************************************************
rem 
rem Utility to create a hex file that contains the flash file and data system
rem 
rem ***************************************************************************

REM ******************************************************************
rem Specify file names
rem ******************************************************************
set mkfn=BL652_FFDS

rem ******************************************************************
rem Capture the flash file & Data system
rem ******************************************************************
call CaptureFFDS.bat %2 %3 %4 %5 %6 %7 %8 %9

rem ******************************************************************
rem Check source hex files exist
rem ******************************************************************
if not exist %mkfn%.hex goto :err1

rem ******************************************************************
rem Create the bin file for the File & Data system
rem ******************************************************************
hex2bin %mkfn%.hex >NUL
if not exist %mkfn%.bin goto :err2
goto :end


:err1
echo FAIL: File %mkfn%.hex was not created
goto :pauseend

:err2
echo FAIL: File %mkfn%.bin was not created
goto :pauseend


:pauseend
if "%1" == "nopause" goto :end
pause
:end
