@echo off
rem **********************************************************************
rem This utility enables the readback protection mechanism
rem **********************************************************************

cls
echo.
echo Enabling readback protection mechanism ....
echo.

rem ------------------------------------------
rem  Prompt the user with a warning message
rem ------------------------------------------
:choice
echo This will enable the readback protection mechanism. 
echo Only a chip erase can reverse this.
echo   ***********************************************************
echo   And that erase will mean the module will lose its license.
echo   To make note of the licence keep a copy of the response
echo   to the command AT I 0xC0FE
echo   ***********************************************************
set /P c=Are you sure you want to continue[Y/N]?
if /I "%c%" EQU "Y" goto :enable_readback
if /I "%c%" EQU "N" goto :cancel
goto :choice

rem ------------------------------------------
rem  Enable the readback protection mechanism
rem ------------------------------------------
:enable_readback
echo.
nrfjprog -f NRF52 --rbp ALL
echo.
goto :end1

rem ------------------------------------------
rem  Operation canceled by the user
rem ------------------------------------------
:cancel
echo.
echo Operation canceled
echo.

:end1
pause